Subject: bug#2140: closed (Re: Error in menu-bar-update-hook: (error Variable binding depth exceeds maximum-specpdl-size)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 10 Mar 2011 07:03:02 +0000

Your bug report

#2140: Error in menu-bar-update-hook: (error Variable binding depth exceeds  maximum-specpdl-size

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
2140: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2140
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Error in menu-bar-update-hook: (error Variable binding depth exceeds maximum-specpdl-size
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Thu, 10 Mar 2011 02:02:40 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for the report. Your report was against an old version of Emacs,
and the issue you describe could not be reproduced. The latest version
is 23.3. Please open new reports for any issues you have with the new
version.

Subject: Error in menu-bar-update-hook: (error Variable binding depth exceeds maximum-specpdl-size
From: [email-masked]
To: [email-masked]
Date: Sun, 01 Feb 2009 15:13:33 +0000

I am frequently receiving the error "Error in menu-bar-update-hook: (error  
Variable binding depth exceeds maximum-specpdl-size"
I am working with Python and running Ubuntu 8.10. The version of emacs is  
GNU Emacs 22.2.1 (i486-pc-linux-gnu, GTK+ Version 2.14.1)
of 2008-09-05 on vernadsky, modified by Ubuntu.

The error occurs when trying to run a shell command of "python <file>" when  
trying to run the code I am working on. It has become so bad that I've had  
to start running the code in a terminal instead of emacs.

Thanks

Matt